## Function add_scoped_thread_attribute

boost::log::add_scoped_thread_attribute

## Synopsis

    // In header: <boost/log/attributes/scoped_attribute.hpp>

    unspecified add_scoped_thread_attribute(attribute_name const & name,
                                            attribute const & attr);

## Description

Registers a thread-specific attribute

Parameters:

`attr` | The attribute. Must not be NULL.
`name` | Attribute name

Returns: | An unspecified guard object which may be used to initialize a `scoped_attribute` variable.